package com.qaup.system.mapper;

import java.util.List;
import com.qaup.system.domain.SysDriverInfo;

/**
 * 驾驶员信息Mapper接口
 * 
 * @author qaup
 * @date 2025-06-30
 */
public interface SysDriverInfoMapper 
{
    /**
     * 查询驾驶员信息
     * 
     * @param userId 驾驶员信息主键
     * @return 驾驶员信息
     */
    public SysDriverInfo selectSysDriverInfoByUserId(Long userId);

    /**
     * 查询驾驶员信息列表
     * 
     * @param sysDriverInfo 驾驶员信息
     * @return 驾驶员信息集合
     */
    public List<SysDriverInfo> selectSysDriverInfoList(SysDriverInfo sysDriverInfo);

    /**
     * 新增驾驶员信息
     * 
     * @param sysDriverInfo 驾驶员信息
     * @return 结果
     */
    public int insertSysDriverInfo(SysDriverInfo sysDriverInfo);

    /**
     * 修改驾驶员信息
     * 
     * @param sysDriverInfo 驾驶员信息
     * @return 结果
     */
    public int updateSysDriverInfo(SysDriverInfo sysDriverInfo);

    /**
     * 删除驾驶员信息
     * 
     * @param userId 驾驶员信息主键
     * @return 结果
     */
    public int deleteSysDriverInfoByUserId(Long userId);

    /**
     * 批量删除驾驶员信息
     * 
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysDriverInfoByUserIds(Long[] userIds);
}
